Skip to main content
`Ctrl`+`K`

# DMDAGetPreallocationCenterDimension

Return the topology used to determine adjacency

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetPreallocationCenterDimension(DM dm, PetscInt *preallocCenterDim)

## Input Parameter

- dm - The `DMDA` object

## Output Parameter

- preallocCenterDim - The dimension of points which connect adjacent entries

## Notes

         FEM:   Two points p and q are adjacent if q \in closure(star(p)), preallocCenterDim = dim
         FVM:   Two points p and q are adjacent if q \in star(cone(p)),    preallocCenterDim = dim-1
         FVM++: Two points p and q are adjacent if q \in star(closure(p)), preallocCenterDim = 0

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMCreateMatrix()`, `DMDAPreallocateOperator()`, `DMDASetPreallocationCenterDimension()`

## Level

developer

## Location

src/dm/impls/da/dapreallocate.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages